Package io.strimzi.systemtest.resources.crd

## Class KafkaBridgeResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaBridgeResource

-     public class KafkaBridgeResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_BRIDGE_CONFIG` |
    `static String` | `PATH_TO_KAFKA_BRIDGE_METRICS_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaBridgeResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaBridge` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaBridge kafkaBridge)` |
    `static void` | `deleteKafkaBridgeWithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridge​(String name, String bootstrap, int kafkaBridgeReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridge​(String name, String clusterName, String bootstrap, int kafkaBridgeReplicas)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaBridge,​io.strimzi.api.kafka.KafkaBridgeList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaBridge>>` | `kafkaBridgeClient()` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridgeWithCors​(String name, String bootstrap, int kafkaBridgeReplicas, String allowedCorsOrigin, String allowedCorsMethods)` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridgeWithCors​(String name, String clusterName, String bootstrap, int kafkaBridgeReplicas, String allowedCorsOrigin, String allowedCorsMethods)` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridgeWithMetrics​(String name, String clusterName, String bootstrap)` |
    `static io.strimzi.api.kafka.model.KafkaBridgeBuilder` | `kafkaBridgeWithMetrics​(String name, String clusterName, String bootstrap, int kafkaBridgeReplicas)` |
    `static io.strimzi.api.kafka.model.KafkaBridge` | `kafkaBridgeWithoutWait​(io.strimzi.api.kafka.model.KafkaBridge kafkaBridge)` |
    `static void` | `replaceBridgeResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaBridge> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_BRIDGE_CONFIG

          public static final String PATH_TO_KAFKA_BRIDGE_CONFIG

    - #### PATH_TO_KAFKA_BRIDGE_METRICS_CONFIG

          public static final String PATH_TO_KAFKA_BRIDGE_METRICS_CONFIG

  - ### Constructor Detail

    - #### KafkaBridgeResource

          public KafkaBridgeResource()

  - ### Method Detail

    - #### kafkaBridgeClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaBridge,​io.strimzi.api.kafka.KafkaBridgeList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaBridge>> kafkaBridgeClient()

    - #### kafkaBridge

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridge​(String name,
                                                                                  String bootstrap,
                                                                                  int kafkaBridgeReplicas)

    - #### kafkaBridge

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridge​(String name,
                                                                                  String clusterName,
                                                                                  String bootstrap,
                                                                                  int kafkaBridgeReplicas)

    - #### kafkaBridgeWithCors

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridgeWithCors​(String name,
                                                                                          String bootstrap,
                                                                                          int kafkaBridgeReplicas,
                                                                                          String allowedCorsOrigin,
                                                                                          String allowedCorsMethods)

    - #### kafkaBridgeWithCors

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridgeWithCors​(String name,
                                                                                          String clusterName,
                                                                                          String bootstrap,
                                                                                          int kafkaBridgeReplicas,
                                                                                          String allowedCorsOrigin,
                                                                                          String allowedCorsMethods)

    - #### kafkaBridgeWithMetrics

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridgeWithMetrics​(String name,
                                                                                             String clusterName,
                                                                                             String bootstrap)

    - #### kafkaBridgeWithMetrics

          public static io.strimzi.api.kafka.model.KafkaBridgeBuilder kafkaBridgeWithMetrics​(String name,
                                                                                             String clusterName,
                                                                                             String bootstrap,
                                                                                             int kafkaBridgeReplicas)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaBridge createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaBridge kafkaBridge)

    - #### kafkaBridgeWithoutWait

          public static io.strimzi.api.kafka.model.KafkaBridge kafkaBridgeWithoutWait​(io.strimzi.api.kafka.model.KafkaBridge kafkaBridge)

    - #### deleteKafkaBridgeWithoutWait

          public static void deleteKafkaBridgeWithoutWait​(String resourceName)

    - #### replaceBridgeResource

          public static void replaceBridgeResource​(String resourceName,
                                                   Consumer<io.strimzi.api.kafka.model.KafkaBridge> editor)